# InverterProxyAdmin\_v1.sol

[Git Source](https://github.com/InverterNetwork/inverter-contracts/blob/2a8a4c80ff4f24a59546d4e6126b81bc51228c94/src/proxies/InverterProxyAdmin_v1.sol)

**Inherits:** [Ownable2Step](https://github.com/OpenZeppelin/openzeppelin-contracts/blob/19a657bef8354f2a655900654955739b70dfbde9/contracts/access/Ownable2Step.sol), [IInverterProxyAdmin\_v1](https://docs.inverter.network/contracts/technical-reference/proxies/interfaces/iinverterproxyadmin_v1.sol)

**Author:** Inverter Network

Acts as the admin of the [{InverterTransparentUpgradeableProxy\_v1}](https://docs.inverter.network/contracts/technical-reference/proxies/invertertransparentupgradeableproxy_v1.sol)s and is responsible for upgrading the proxies to the newest version.

### Functions

#### constructor

Constructs the InverterProxyAdmin\_v1.

```solidity
constructor(address initialOwner) Ownable(initialOwner);
```

**Parameters**

| Name           | Type      | Description                        |
| -------------- | --------- | ---------------------------------- |
| `initialOwner` | `address` | The initial owner of the contract. |

#### upgradeToNewestVersion

Upgrades the corresponding [{InverterTransparentUpgradeableProxy\_v1}](https://docs.inverter.network/contracts/technical-reference/proxies/invertertransparentupgradeableproxy_v1.sol) to the newest version of the implementation.

*This contract must be the admin/owner of the proxy.*

```solidity
function upgradeToNewestVersion(IInverterTransparentUpgradeableProxy_v1 proxy)
    external
    onlyOwner;
```

**Parameters**

| Name    | Type                                      | Description           |
| ------- | ----------------------------------------- | --------------------- |
| `proxy` | `IInverterTransparentUpgradeableProxy_v1` | The proxy to upgrade. |

#### upgradeToNewestVersionBatched

Upgrades multiple [{InverterTransparentUpgradeableProxy\_v1}](https://docs.inverter.network/contracts/technical-reference/proxies/invertertransparentupgradeableproxy_v1.sol)s to the newest version of the implementation.

*This contract must be the admin/owner of the proxies.*

```solidity
function upgradeToNewestVersionBatched(
    IInverterTransparentUpgradeableProxy_v1[] calldata proxies
) external onlyOwner;
```

**Parameters**

| Name      | Type                                        | Description             |
| --------- | ------------------------------------------- | ----------------------- |
| `proxies` | `IInverterTransparentUpgradeableProxy_v1[]` | The proxies to upgrade. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inverter.network/contracts/technical-reference/proxies/inverterproxyadmin_v1.sol.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
